//                                                                  
// Copyright  2013 Lidor Systems.
// All Rights Reserved.
//
// This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
// either express or implied.                        
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace IntegralUI_WinForms_Samples
{
    public partial class Form1 : Form
    {
        #region Initialization
        public Form1()
        {
            InitializeComponent();

            CreateLabelContent();
        }

        private void CreateLabelContent()
        {
            String content = "<div style=\"font:Verdana,9,r\"><p>In this sample we are showing how to create cusatom command buttons and place them in splitter of SplitContainer control.</p><br></br>";
            content += "<p>First button from the right, when clicked will collapse the first panel and expand the second panel. The second button from the right when clicked will do the oposite, it will collapse the first panel and expand the second panel.</p><br></br>";
            content += "<p>Other buttons are built-in buttons and they are used to change the orientation of SplitContainer from horizontal to vertical and vice versa, and also a button which always expand/collapse the second panel.</p>";
            content += "</div>";

            this.labelInfo.Content = content;
        }
        #endregion

        #region Events
        private void splitContainer1_TabStripButtonClicked(object sender, LidorSystems.IntegralUI.ObjectClickEventArgs e)
        {
            if (e.Object is LidorSystems.IntegralUI.Controls.CommandButton)
            {
                LidorSystems.IntegralUI.Controls.CommandButton cmdButton = (LidorSystems.IntegralUI.Controls.CommandButton)e.Object;

                switch (cmdButton.Key)
                {
                    case "EXPAND_UP":
                        this.splitContainer1.Panel1Collapsed = true;
                        break;

                    case "EXPAND_DOWN":
                        this.splitContainer1.Panel2Collapsed = true;
                        break;
                }
            }
        }

        private void splitContainer1_OrientationChanged(object sender, EventArgs e)
        {
            switch (this.splitContainer1.Orientation)
            {
                case Orientation.Horizontal:
                    this.splitContainer1.TabStripButtons[3].ImageIndex = 0;
                    this.splitContainer1.TabStripButtons[4].ImageIndex = 1;
                    break;

                case Orientation.Vertical:
                    this.splitContainer1.TabStripButtons[3].ImageIndex = 2;
                    this.splitContainer1.TabStripButtons[4].ImageIndex = 3;
                    break;
            }

        }
        #endregion
    }
}